Subject: [PATCH] Prettier key bindings in NS menu entries
From: Mattias Engdegård <[email-masked]>
To: [email-masked]
Date: Mon, 28 Dec 2020 15:23:25 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

The NS port shows key bindings in a rather cluttered way, with the key in brackets directly after the menu entry. The Mac port of Emacs is much neater with the bindings all aligned at a common tab position. We could do the same, but having done some experiments I actually prefer a right-alignment of the keys. Proof-of-concept patch attached.

The alignment is made by padding with spaces, and then with hair spaces for extra precision; the result is not perfect but probably better than what we have now. If I get some time, I might do an experiment with more precise formatting.